import { HttpClientModule } from '@angular/common/http';
import { FormsModule } from '@angular/forms';
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { AceEditorModule } from 'ng2-ace-editor';


import { AppComponent } from './app.component';
import { HeaderComponent } from './header/header.component';
import { LoginComponent } from './login/login.component';
import { MarkdownService } from './markdown.service';
import { TerminadoService } from './terminado.service';
import { WebideComponent } from './webide/webide.component';
import { MessagesComponent } from './messages/messages.component';
import { TestButtonComponent } from './test-button/test-button.component';
import { WebSocketService } from './websocket.service';
import { TerminalComponent } from './terminal/terminal.component';
import { FSMUpdateService } from './fsmupdate.service';


@NgModule({
  declarations: [
    AppComponent,
    HeaderComponent,
    LoginComponent,
    WebideComponent,
    MessagesComponent,
    TestButtonComponent,
    TerminalComponent
  ],
  imports: [
    BrowserModule,
    FormsModule,
    HttpClientModule,
    NgbModule.forRoot(),
    AceEditorModule,
  ],
  providers: [
    MarkdownService,
    WebSocketService,
    TerminadoService,
    FSMUpdateService
  ],
  bootstrap: [
    AppComponent
  ]
})
export class AppModule { }
